io.vertx.redis.client

## Interface Command

-     public interface Command

  Auto generated API Commands to interact with REDIS.
  Version:
    redis_version:6.2.4
  Author:
    Paulo Lopes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Command` | `ACL`
    `static Command` | `APPEND`
    `static Command` | `ASKING`
    `static Command` | `AUTH`
    `static Command` | `BGREWRITEAOF`
    `static Command` | `BGSAVE`
    `static Command` | `BITCOUNT`
    `static Command` | `BITFIELD`
    `static Command` | `BITFIELD_RO`
    `static Command` | `BITOP`
    `static Command` | `BITPOS`
    `static Command` | `BLMOVE`
    `static Command` | `BLPOP`
    `static Command` | `BRPOP`
    `static Command` | `BRPOPLPUSH`
    `static Command` | `BZPOPMAX`
    `static Command` | `BZPOPMIN`
    `static Command` | `CLIENT`
    `static Command` | `CLUSTER`
    `static Command` | `COMMAND`
    `static Command` | `CONFIG`
    `static Command` | `COPY`
    `static Command` | `DBSIZE`
    `static Command` | `DEBUG`
    `static Command` | `DECR`
    `static Command` | `DECRBY`
    `static Command` | `DEL`
    `static Command` | `DISCARD`
    `static Command` | `DUMP`
    `static Command` | `ECHO`
    `static Command` | `EVAL`
    `static Command` | `EVALSHA`
    `static Command` | `EXEC`
    `static Command` | `EXISTS`
    `static Command` | `EXPIRE`
    `static Command` | `EXPIREAT`
    `static Command` | `FAILOVER`
    `static Command` | `FLUSHALL`
    `static Command` | `FLUSHDB`
    `static Command` | `GEOADD`
    `static Command` | `GEODIST`
    `static Command` | `GEOHASH`
    `static Command` | `GEOPOS`
    `static Command` | `GEORADIUS`
    `static Command` | `GEORADIUS_RO`
    `static Command` | `GEORADIUSBYMEMBER`
    `static Command` | `GEORADIUSBYMEMBER_RO`
    `static Command` | `GEOSEARCH`
    `static Command` | `GEOSEARCHSTORE`
    `static Command` | `GET`
    `static Command` | `GETBIT`
    `static Command` | `GETDEL`
    `static Command` | `GETEX`
    `static Command` | `GETRANGE`
    `static Command` | `GETSET`
    `static Command` | `HDEL`
    `static Command` | `HELLO`
    `static Command` | `HEXISTS`
    `static Command` | `HGET`
    `static Command` | `HGETALL`
    `static Command` | `HINCRBY`
    `static Command` | `HINCRBYFLOAT`
    `static Command` | `HKEYS`
    `static Command` | `HLEN`
    `static Command` | `HMGET`
    `static Command` | `HMSET`
    `static Command` | `HOST`
    `static Command` | `HRANDFIELD`
    `static Command` | `HSCAN`
    `static Command` | `HSET`
    `static Command` | `HSETNX`
    `static Command` | `HSTRLEN`
    `static Command` | `HVALS`
    `static Command` | `INCR`
    `static Command` | `INCRBY`
    `static Command` | `INCRBYFLOAT`
    `static Command` | `INFO`
    `static Command` | `KEYS`
    `static Command` | `LASTSAVE`
    `static Command` | `LATENCY`
    `static Command` | `LINDEX`
    `static Command` | `LINSERT`
    `static Command` | `LLEN`
    `static Command` | `LMOVE`
    `static Command` | `LOLWUT`
    `static Command` | `LPOP`
    `static Command` | `LPOS`
    `static Command` | `LPUSH`
    `static Command` | `LPUSHX`
    `static Command` | `LRANGE`
    `static Command` | `LREM`
    `static Command` | `LSET`
    `static Command` | `LTRIM`
    `static Command` | `MEMORY`
    `static Command` | `MGET`
    `static Command` | `MIGRATE`
    `static Command` | `MODULE`
    `static Command` | `MONITOR`
    `static Command` | `MOVE`
    `static Command` | `MSET`
    `static Command` | `MSETNX`
    `static Command` | `MULTI`
    `static Command` | `OBJECT`
    `static Command` | `PERSIST`
    `static Command` | `PEXPIRE`
    `static Command` | `PEXPIREAT`
    `static Command` | `PFADD`
    `static Command` | `PFCOUNT`
    `static Command` | `PFDEBUG`
    `static Command` | `PFMERGE`
    `static Command` | `PFSELFTEST`
    `static Command` | `PING`
    `static Command` | `POST`
    `static Command` | `PSETEX`
    `static Command` | `PSUBSCRIBE`
    `static Command` | `PSYNC`
    `static Command` | `PTTL`
    `static Command` | `PUBLISH`
    `static Command` | `PUBSUB`
    `static Command` | `PUNSUBSCRIBE`
    `static Command` | `RANDOMKEY`
    `static Command` | `READONLY`
    `static Command` | `READWRITE`
    `static Command` | `RENAME`
    `static Command` | `RENAMENX`
    `static Command` | `REPLCONF`
    `static Command` | `REPLICAOF`
    `static Command` | `RESET`
    `static Command` | `RESTORE`
    `static Command` | `RESTORE_ASKING`
    `static Command` | `ROLE`
    `static Command` | `RPOP`
    `static Command` | `RPOPLPUSH`
    `static Command` | `RPUSH`
    `static Command` | `RPUSHX`
    `static Command` | `SADD`
    `static Command` | `SAVE`
    `static Command` | `SCAN`
    `static Command` | `SCARD`
    `static Command` | `SCRIPT`
    `static Command` | `SDIFF`
    `static Command` | `SDIFFSTORE`
    `static Command` | `SELECT`
    `static Command` | `SENTINEL`
    `static Command` | `SET`
    `static Command` | `SETBIT`
    `static Command` | `SETEX`
    `static Command` | `SETNX`
    `static Command` | `SETRANGE`
    `static Command` | `SHUTDOWN`
    `static Command` | `SINTER`
    `static Command` | `SINTERSTORE`
    `static Command` | `SISMEMBER`
    `static Command` | `SLAVEOF`
    `static Command` | `SLOWLOG`
    `static Command` | `SMEMBERS`
    `static Command` | `SMISMEMBER`
    `static Command` | `SMOVE`
    `static Command` | `SORT`
    `static Command` | `SPOP`
    `static Command` | `SRANDMEMBER`
    `static Command` | `SREM`
    `static Command` | `SSCAN`
    `static Command` | `STRALGO`
    `static Command` | `STRLEN`
    `static Command` | `SUBSCRIBE`
    `static Command` | `SUBSTR`
    `static Command` | `SUNION`
    `static Command` | `SUNIONSTORE`
    `static Command` | `SWAPDB`
    `static Command` | `SYNC`
    `static Command` | `TIME`
    `static Command` | `TOUCH`
    `static Command` | `TTL`
    `static Command` | `TYPE`
    `static Command` | `UNLINK`
    `static Command` | `UNSUBSCRIBE`
    `static Command` | `UNWATCH`
    `static Command` | `WAIT`
    `static Command` | `WATCH`
    `static Command` | `XACK`
    `static Command` | `XADD`
    `static Command` | `XAUTOCLAIM`
    `static Command` | `XCLAIM`
    `static Command` | `XDEL`
    `static Command` | `XGROUP`
    `static Command` | `XINFO`
    `static Command` | `XLEN`
    `static Command` | `XPENDING`
    `static Command` | `XRANGE`
    `static Command` | `XREAD`
    `static Command` | `XREADGROUP`
    `static Command` | `XREVRANGE`
    `static Command` | `XSETID`
    `static Command` | `XTRIM`
    `static Command` | `ZADD`
    `static Command` | `ZCARD`
    `static Command` | `ZCOUNT`
    `static Command` | `ZDIFF`
    `static Command` | `ZDIFFSTORE`
    `static Command` | `ZINCRBY`
    `static Command` | `ZINTER`
    `static Command` | `ZINTERSTORE`
    `static Command` | `ZLEXCOUNT`
    `static Command` | `ZMSCORE`
    `static Command` | `ZPOPMAX`
    `static Command` | `ZPOPMIN`
    `static Command` | `ZRANDMEMBER`
    `static Command` | `ZRANGE`
    `static Command` | `ZRANGEBYLEX`
    `static Command` | `ZRANGEBYSCORE`
    `static Command` | `ZRANGESTORE`
    `static Command` | `ZRANK`
    `static Command` | `ZREM`
    `static Command` | `ZREMRANGEBYLEX`
    `static Command` | `ZREMRANGEBYRANK`
    `static Command` | `ZREMRANGEBYSCORE`
    `static Command` | `ZREVRANGE`
    `static Command` | `ZREVRANGEBYLEX`
    `static Command` | `ZREVRANGEBYSCORE`
    `static Command` | `ZREVRANK`
    `static Command` | `ZSCAN`
    `static Command` | `ZSCORE`
    `static Command` | `ZUNION`
    `static Command` | `ZUNIONSTORE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Command` | `create(String command)` Generic command generator for extensions.
    `static Command` | `create(String command, int arity, int firstKey, int lastKey, int interval, boolean write, boolean readOnly, boolean movable, boolean pubsub)` Creates a Redis Command from METADATA.
    `int` | `getArity()`
    `byte[]` | `getBytes()`
    `int` | `getFirstKey()`
    `int` | `getInterval()`
    `int` | `getLastKey()`
    `boolean` | `isKeyless()`
    `boolean` | `isMovable()`
    `boolean` | `isMultiKey()`
    `boolean` | `isPubSub()`
    `boolean` | `isReadOnly()`
    `boolean` | `isVoid()`
    `boolean` | `isWrite()`

- - ### Field Detail

    - #### ACL

          static final Command ACL

    - #### APPEND

          static final Command APPEND

    - #### ASKING

          static final Command ASKING

    - #### AUTH

          static final Command AUTH

    - #### BGREWRITEAOF

          static final Command BGREWRITEAOF

    - #### BGSAVE

          static final Command BGSAVE

    - #### BITCOUNT

          static final Command BITCOUNT

    - #### BITFIELD

          static final Command BITFIELD

    - #### BITFIELD_RO

          static final Command BITFIELD_RO

    - #### BITOP

          static final Command BITOP

    - #### BITPOS

          static final Command BITPOS

    - #### BLMOVE

          static final Command BLMOVE

    - #### BLPOP

          static final Command BLPOP

    - #### BRPOP

          static final Command BRPOP

    - #### BRPOPLPUSH

          static final Command BRPOPLPUSH

    - #### BZPOPMAX

          static final Command BZPOPMAX

    - #### BZPOPMIN

          static final Command BZPOPMIN

    - #### CLIENT

          static final Command CLIENT

    - #### CLUSTER

          static final Command CLUSTER

    - #### COMMAND

          static final Command COMMAND

    - #### CONFIG

          static final Command CONFIG

    - #### COPY

          static final Command COPY

    - #### DBSIZE

          static final Command DBSIZE

    - #### DEBUG

          static final Command DEBUG

    - #### DECR

          static final Command DECR

    - #### DECRBY

          static final Command DECRBY

    - #### DEL

          static final Command DEL

    - #### DISCARD

          static final Command DISCARD

    - #### DUMP

          static final Command DUMP

    - #### ECHO

          static final Command ECHO

    - #### EVAL

          static final Command EVAL

    - #### EVALSHA

          static final Command EVALSHA

    - #### EXEC

          static final Command EXEC

    - #### EXISTS

          static final Command EXISTS

    - #### EXPIRE

          static final Command EXPIRE

    - #### EXPIREAT

          static final Command EXPIREAT

    - #### FAILOVER

          static final Command FAILOVER

    - #### FLUSHALL

          static final Command FLUSHALL

    - #### FLUSHDB

          static final Command FLUSHDB

    - #### GEOADD

          static final Command GEOADD

    - #### GEODIST

          static final Command GEODIST

    - #### GEOHASH

          static final Command GEOHASH

    - #### GEOPOS

          static final Command GEOPOS

    - #### GEORADIUS

          static final Command GEORADIUS

    - #### GEORADIUS_RO

          static final Command GEORADIUS_RO

    - #### GEORADIUSBYMEMBER

          static final Command GEORADIUSBYMEMBER

    - #### GEORADIUSBYMEMBER_RO

          static final Command GEORADIUSBYMEMBER_RO

    - #### GEOSEARCH

          static final Command GEOSEARCH

    - #### GEOSEARCHSTORE

          static final Command GEOSEARCHSTORE

    - #### GET

          static final Command GET

    - #### GETBIT

          static final Command GETBIT

    - #### GETDEL

          static final Command GETDEL

    - #### GETEX

          static final Command GETEX

    - #### GETRANGE

          static final Command GETRANGE

    - #### GETSET

          static final Command GETSET

    - #### HDEL

          static final Command HDEL

    - #### HELLO

          static final Command HELLO

    - #### HEXISTS

          static final Command HEXISTS

    - #### HGET

          static final Command HGET

    - #### HGETALL

          static final Command HGETALL

    - #### HINCRBY

          static final Command HINCRBY

    - #### HINCRBYFLOAT

          static final Command HINCRBYFLOAT

    - #### HKEYS

          static final Command HKEYS

    - #### HLEN

          static final Command HLEN

    - #### HMGET

          static final Command HMGET

    - #### HMSET

          static final Command HMSET

    - #### HOST

          static final Command HOST

    - #### HRANDFIELD

          static final Command HRANDFIELD

    - #### HSCAN

          static final Command HSCAN

    - #### HSET

          static final Command HSET

    - #### HSETNX

          static final Command HSETNX

    - #### HSTRLEN

          static final Command HSTRLEN

    - #### HVALS

          static final Command HVALS

    - #### INCR

          static final Command INCR

    - #### INCRBY

          static final Command INCRBY

    - #### INCRBYFLOAT

          static final Command INCRBYFLOAT

    - #### INFO

          static final Command INFO

    - #### KEYS

          static final Command KEYS

    - #### LASTSAVE

          static final Command LASTSAVE

    - #### LATENCY

          static final Command LATENCY

    - #### LINDEX

          static final Command LINDEX

    - #### LINSERT

          static final Command LINSERT

    - #### LLEN

          static final Command LLEN

    - #### LMOVE

          static final Command LMOVE

    - #### LOLWUT

          static final Command LOLWUT

    - #### LPOP

          static final Command LPOP

    - #### LPOS

          static final Command LPOS

    - #### LPUSH

          static final Command LPUSH

    - #### LPUSHX

          static final Command LPUSHX

    - #### LRANGE

          static final Command LRANGE

    - #### LREM

          static final Command LREM

    - #### LSET

          static final Command LSET

    - #### LTRIM

          static final Command LTRIM

    - #### MEMORY

          static final Command MEMORY

    - #### MGET

          static final Command MGET

    - #### MIGRATE

          static final Command MIGRATE

    - #### MODULE

          static final Command MODULE

    - #### MONITOR

          static final Command MONITOR

    - #### MOVE

          static final Command MOVE

    - #### MSET

          static final Command MSET

    - #### MSETNX

          static final Command MSETNX

    - #### MULTI

          static final Command MULTI

    - #### OBJECT

          static final Command OBJECT

    - #### PERSIST

          static final Command PERSIST

    - #### PEXPIRE

          static final Command PEXPIRE

    - #### PEXPIREAT

          static final Command PEXPIREAT

    - #### PFADD

          static final Command PFADD

    - #### PFCOUNT

          static final Command PFCOUNT

    - #### PFDEBUG

          static final Command PFDEBUG

    - #### PFMERGE

          static final Command PFMERGE

    - #### PFSELFTEST

          static final Command PFSELFTEST

    - #### PING

          static final Command PING

    - #### POST

          static final Command POST

    - #### PSETEX

          static final Command PSETEX

    - #### PSUBSCRIBE

          static final Command PSUBSCRIBE

    - #### PSYNC

          static final Command PSYNC

    - #### PTTL

          static final Command PTTL

    - #### PUBLISH

          static final Command PUBLISH

    - #### PUBSUB

          static final Command PUBSUB

    - #### PUNSUBSCRIBE

          static final Command PUNSUBSCRIBE

    - #### RANDOMKEY

          static final Command RANDOMKEY

    - #### READONLY

          static final Command READONLY

    - #### READWRITE

          static final Command READWRITE

    - #### RENAME

          static final Command RENAME

    - #### RENAMENX

          static final Command RENAMENX

    - #### REPLCONF

          static final Command REPLCONF

    - #### REPLICAOF

          static final Command REPLICAOF

    - #### RESET

          static final Command RESET

    - #### RESTORE

          static final Command RESTORE

    - #### RESTORE_ASKING

          static final Command RESTORE_ASKING

    - #### ROLE

          static final Command ROLE

    - #### RPOP

          static final Command RPOP

    - #### RPOPLPUSH

          static final Command RPOPLPUSH

    - #### RPUSH

          static final Command RPUSH

    - #### RPUSHX

          static final Command RPUSHX

    - #### SADD

          static final Command SADD

    - #### SAVE

          static final Command SAVE

    - #### SCAN

          static final Command SCAN

    - #### SCARD

          static final Command SCARD

    - #### SCRIPT

          static final Command SCRIPT

    - #### SDIFF

          static final Command SDIFF

    - #### SDIFFSTORE

          static final Command SDIFFSTORE

    - #### SELECT

          static final Command SELECT

    - #### SET

          static final Command SET

    - #### SETBIT

          static final Command SETBIT

    - #### SETEX

          static final Command SETEX

    - #### SETNX

          static final Command SETNX

    - #### SETRANGE

          static final Command SETRANGE

    - #### SHUTDOWN

          static final Command SHUTDOWN

    - #### SINTER

          static final Command SINTER

    - #### SINTERSTORE

          static final Command SINTERSTORE

    - #### SISMEMBER

          static final Command SISMEMBER

    - #### SLAVEOF

          static final Command SLAVEOF

    - #### SLOWLOG

          static final Command SLOWLOG

    - #### SMEMBERS

          static final Command SMEMBERS

    - #### SMISMEMBER

          static final Command SMISMEMBER

    - #### SMOVE

          static final Command SMOVE

    - #### SORT

          static final Command SORT

    - #### SPOP

          static final Command SPOP

    - #### SRANDMEMBER

          static final Command SRANDMEMBER

    - #### SREM

          static final Command SREM

    - #### SSCAN

          static final Command SSCAN

    - #### STRALGO

          static final Command STRALGO

    - #### STRLEN

          static final Command STRLEN

    - #### SUBSCRIBE

          static final Command SUBSCRIBE

    - #### SUBSTR

          static final Command SUBSTR

    - #### SUNION

          static final Command SUNION

    - #### SUNIONSTORE

          static final Command SUNIONSTORE

    - #### SWAPDB

          static final Command SWAPDB

    - #### SYNC

          static final Command SYNC

    - #### TIME

          static final Command TIME

    - #### TOUCH

          static final Command TOUCH

    - #### TTL

          static final Command TTL

    - #### TYPE

          static final Command TYPE

    - #### UNLINK

          static final Command UNLINK

    - #### UNSUBSCRIBE

          static final Command UNSUBSCRIBE

    - #### UNWATCH

          static final Command UNWATCH

    - #### WAIT

          static final Command WAIT

    - #### WATCH

          static final Command WATCH

    - #### XACK

          static final Command XACK

    - #### XADD

          static final Command XADD

    - #### XAUTOCLAIM

          static final Command XAUTOCLAIM

    - #### XCLAIM

          static final Command XCLAIM

    - #### XDEL

          static final Command XDEL

    - #### XGROUP

          static final Command XGROUP

    - #### XINFO

          static final Command XINFO

    - #### XLEN

          static final Command XLEN

    - #### XPENDING

          static final Command XPENDING

    - #### XRANGE

          static final Command XRANGE

    - #### XREAD

          static final Command XREAD

    - #### XREADGROUP

          static final Command XREADGROUP

    - #### XREVRANGE

          static final Command XREVRANGE

    - #### XSETID

          static final Command XSETID

    - #### XTRIM

          static final Command XTRIM

    - #### ZADD

          static final Command ZADD

    - #### ZCARD

          static final Command ZCARD

    - #### ZCOUNT

          static final Command ZCOUNT

    - #### ZDIFF

          static final Command ZDIFF

    - #### ZDIFFSTORE

          static final Command ZDIFFSTORE

    - #### ZINCRBY

          static final Command ZINCRBY

    - #### ZINTER

          static final Command ZINTER

    - #### ZINTERSTORE

          static final Command ZINTERSTORE

    - #### ZLEXCOUNT

          static final Command ZLEXCOUNT

    - #### ZMSCORE

          static final Command ZMSCORE

    - #### ZPOPMAX

          static final Command ZPOPMAX

    - #### ZPOPMIN

          static final Command ZPOPMIN

    - #### ZRANDMEMBER

          static final Command ZRANDMEMBER

    - #### ZRANGE

          static final Command ZRANGE

    - #### ZRANGEBYLEX

          static final Command ZRANGEBYLEX

    - #### ZRANGEBYSCORE

          static final Command ZRANGEBYSCORE

    - #### ZRANGESTORE

          static final Command ZRANGESTORE

    - #### ZRANK

          static final Command ZRANK

    - #### ZREM

          static final Command ZREM

    - #### ZREMRANGEBYLEX

          static final Command ZREMRANGEBYLEX

    - #### ZREMRANGEBYRANK

          static final Command ZREMRANGEBYRANK

    - #### ZREMRANGEBYSCORE

          static final Command ZREMRANGEBYSCORE

    - #### ZREVRANGE

          static final Command ZREVRANGE

    - #### ZREVRANGEBYLEX

          static final Command ZREVRANGEBYLEX

    - #### ZREVRANGEBYSCORE

          static final Command ZREVRANGEBYSCORE

    - #### ZREVRANK

          static final Command ZREVRANK

    - #### ZSCAN

          static final Command ZSCAN

    - #### ZSCORE

          static final Command ZSCORE

    - #### ZUNION

          static final Command ZUNION

    - #### ZUNIONSTORE

          static final Command ZUNIONSTORE

    - #### SENTINEL

          static final Command SENTINEL

  - ### Method Detail

    - #### create

          static Command create(String command,
                                int arity,
                                int firstKey,
                                int lastKey,
                                int interval,
                                boolean write,
                                boolean readOnly,
                                boolean movable,
                                boolean pubsub)

      Creates a Redis Command from METADATA. The metadata comes from the REDIS command "COMMAND" https://redis.io/commands/command Each top-level result contains six nested results. Each nested result is: command name command arity specification nested Array reply of command flags position of first key in argument list position of last key in argument list step count for locating repeating keys
      Parameters:
        `command` - command name
        `arity` - arity
        `firstKey` - position of the first key
        `lastKey` - position of the last key
        `interval` - step count for locating repeating keys
        `write` - write flag extracted from the nested Array reply of command flags
        `readOnly` - readOnly flag extracted from the nested Array reply of command flags
        `movable` - movable flag extracted from the nested Array reply of command flags
        `pubsub` - flag extracted from the nested Array reply of command flags
      Returns:
        a command instance

    - #### create

          static Command create(String command)

      Generic command generator for extensions.
      Parameters:
        `command` -
      Returns:
        the cachable immutable command instance

    - #### getBytes

          byte[] getBytes()

    - #### getArity

          int getArity()

    - #### isMultiKey

          boolean isMultiKey()

    - #### getFirstKey

          int getFirstKey()

    - #### getLastKey

          int getLastKey()

    - #### getInterval

          int getInterval()

    - #### isKeyless

          boolean isKeyless()

    - #### isWrite

          boolean isWrite()

    - #### isReadOnly

          boolean isReadOnly()

    - #### isMovable

          boolean isMovable()

    - #### isVoid

          boolean isVoid()

    - #### isPubSub

          boolean isPubSub()

Copyright © 2021 Eclipse. All rights reserved.